Bug 173223

Summary: [Xcode] With Xcode 9 developer beta, everything rebuilds when switching between command-line and IDE
Product: WebKit Reporter: mitz
Component: Tools / TestsAssignee: mitz
Status: RESOLVED FIXED    
Severity: Normal CC: buildbot, cdumez, dbates, dino, graouts, keith_miller, kondapallykalyan, lforschler, mark.lam, msaboff, rniwa, sam, sbarati, simon.fraser, thorton, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Local Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
sam: review+
Patch thorton: review+

Description mitz 2017-06-09 22:48:39 PDT
The Xcode 9 developer beta recompiles everything when switching between building from the Xcode IDE and building from the command line.
Comment 1 mitz 2017-06-09 23:05:36 PDT
Created attachment 312566 [details]
Patch
Comment 2 Build Bot 2017-06-09 23:08:12 PDT
Note that there are important steps to take when updating ANGLE. See http://trac.webkit.org/wiki/UpdatingANGLE
Comment 3 mitz 2017-06-10 13:33:13 PDT
Fixed in <https://trac.webkit.org/r218056>.
Comment 4 mitz 2017-06-10 18:37:50 PDT
(In reply to mitz from comment #3)
> Fixed in <https://trac.webkit.org/r218056>.

Reverted in <https://trac.webkit.org/r218057> because it made the Xcode IDE reindex everything each time the workspace was opened.
Comment 5 mitz 2017-08-10 16:49:38 PDT
Created attachment 317885 [details]
Patch
Comment 6 mitz 2017-08-10 16:58:02 PDT
Fixed in <https://trac.webkit.org/r220563>.
Comment 7 Radar WebKit Bug Importer 2017-08-10 16:58:58 PDT
<rdar://problem/33839289>